Bug 836435 - SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /home/noah/src/com/JavaCSVReader_Lib.zip.
SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the f...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f541ec67b1a7b5c5b63302e6edc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 01:43 EDT by harvey.coder247
Modified: 2012-06-29 18:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 18:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harvey.coder247 2012-06-29 01:43:13 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.x86_64
time:           Fri 29 Jun 2012 01:42:46 AM EDT

description:
:SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /home/noah/src/com/JavaCSVReader_Lib.zip.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/noah/src/com/JavaCSVReader_Lib.zip default label should be user_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/noah/src/com/JavaCSVReader_Lib.zip
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that chrome should be allowed read access on the JavaCSVReader_Lib.zip file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep Chrome_ChildIOT /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:fusefs_t:s0
:Target Objects                /home/noah/src/com/JavaCSVReader_Lib.zip [ file ]
:Source                        Chrome_ChildIOT
:Source Path                   /opt/google/chrome/chrome
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           google-chrome-stable-20.0.1132.43-143823.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.x86_64 #1 SMP Mon Jun
:                              18 19:53:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Fri 29 Jun 2012 01:40:12 AM EDT
:Last Seen                     Fri 29 Jun 2012 01:40:12 AM EDT
:Local ID                      07b3b9a9-58ca-41bb-a19e-757847d19c92
:
:Raw Audit Messages
:type=AVC msg=audit(1340948412.1:82): avc:  denied  { read } for  pid=3967 comm="Chrome_ChildIOT" path="/home/noah/src/com/JavaCSVReader_Lib.zip" dev="sda7" ino=2887515 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:fusefs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1340948412.1:82): arch=x86_64 syscall=recvmsg success=yes exit=EPERM a0=14 a1=7f77d99c23e0 a2=40 a3=152b items=0 ppid=2 pid=3967 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=Chrome_ChildIOT exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)
:
:Hash: Chrome_ChildIOT,chrome_sandbox_t,fusefs_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-29 18:22:43 EDT
# setsebool -P use_fusefs_home_dirs=1

You need to turn on this boolean.

Note You need to log in before you can comment on or make changes to this bug.